ランタイム: Mix::RectangleF Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Mix::RectangleF Class Reference

浮動小数点型矩形クラス More...

`#include <RectangleF.h>`

## Public Member Functions

| RectangleF (void)
| コンストラクタ More...
| RectangleF (Float32 rx, Float32 ry, Float32 rw, Float32 rh)
| コンストラクタ More...
| RectangleF (const Mix::RectangleF &rect)
| コピーコンストラクタ More...
| RectangleF (const Mix::Rectangle &rect)
| コピーコンストラクタ More...
Boolean | operator== (const RectangleF &rect) const
| 等価比較 More...
Boolean | operator!= (const RectangleF &rect) const
| 等価比較 More...
Mix::RectangleF & | operator= (const Mix::RectangleF &rect)
| 代入( = ) More...
Mix::RectangleF & | operator= (const Mix::Rectangle &rect)
| 代入( = ) More...
void | Set (Float32 rx, Float32 ry, Float32 rw, Float32 rh)
| 矩形を設定します More...
Boolean | Contains (const Mix::Vector2 &p) const
| 指定した点が含まれているかチェックします More...
Boolean | Contains (const Mix::RectangleF &rect, Mix::RectangleF *pOverlapRect=NULL) const
| 指定した矩形が含まれているかチェックします More...
Float32 | GetRight (void) const
| 矩形の右端のX座標を取得します More...
void | SetRight (Float32 right)
| 矩形の右端のX座標を設定します More...
Float32 | GetBottom (void) const
| 矩形の下端のY座標を取得します More...
void | SetBottom (Float32 bottom)
| 矩形の下端のY座標を設定します More...

## Static Public Member Functions

static const Mix::RectangleF & | Zero (void)
| 初期値( 0.0, 0.0, 0.0, 0.0 )を取得します More...

## Public Attributes

union {
struct {
Float32 x
| X座標 More...
Float32 y
| Y座標 More...
Float32 width
| 幅 More...
Float32 height
| 高さ More...
} |
}; |

## Detailed Description

浮動小数点型矩形クラス

## Constructor & Destructor Documentation

Mix::RectangleF::RectangleF | ( | void |  | ) |

コンストラクタ

Mix::RectangleF::RectangleF | ( | Float32 | rx,
|  | Float32 | ry,
|  | Float32 | rw,
|  | Float32 | rh
| ) |  |

コンストラクタ

Parameters

  [in] | rx | X座標
  [in] | ry | Y座標
  [in] | rw | 幅
  [in] | rh | 高さ

Mix::RectangleF::RectangleF | ( | const Mix::RectangleF & | rect | ) |

コピーコンストラクタ

Parameters

  [in] | rect | 矩形

Mix::RectangleF::RectangleF | ( | const Mix::Rectangle & | rect | ) |

コピーコンストラクタ

Parameters

  [in] | rect | 矩形

## Member Function Documentation

Boolean Mix::RectangleF::operator== | ( | const RectangleF & | rect | ) | const

等価比較

Parameters

  [in] | rect | 比較する矩形

Returns
  値が等しい場合は True を返します

Boolean Mix::RectangleF::operator!= | ( | const RectangleF & | rect | ) | const

等価比較

Parameters

  [in] | rect | 比較する矩形

Returns
  値が等しくない場合は True を返します

Mix::RectangleF& Mix::RectangleF::operator= | ( | const Mix::RectangleF & | rect | ) |

代入( = )

Parameters

  [in] | rect | 代入元

Returns
  結果

Mix::RectangleF& Mix::RectangleF::operator= | ( | const Mix::Rectangle & | rect | ) |

代入( = )

Parameters

  [in] | rect | 代入元

Returns
  結果

void Mix::RectangleF::Set | ( | Float32 | rx,
|  | Float32 | ry,
|  | Float32 | rw,
|  | Float32 | rh
| ) |  |

矩形を設定します

Parameters

  [in] | rx | 矩形の左上の X 座標
  [in] | ry | 矩形の左上の Y 座標
  [in] | rw | 矩形の幅
  [in] | rh | 矩形の高さ

Boolean Mix::RectangleF::Contains | ( | const Mix::Vector2 & | p | ) | const

指定した点が含まれているかチェックします

Returns
  点が含まれている場合は True を返します

Boolean Mix::RectangleF::Contains | ( | const Mix::RectangleF & | rect,
|  | Mix::RectangleF * | pOverlapRect = `NULL`
| ) |  | const

指定した矩形が含まれているかチェックします

Parameters

  [in] | rect | 矩形を表す Mix::RectangleF クラス
  [out] | pOverlapRect | 重なっている矩形を表す Mix::RectangleF クラスのポインタ

Returns
  矩形が含まれている場合は True を返します

Float32 Mix::RectangleF::GetRight | ( | void |  | ) | const

矩形の右端のX座標を取得します

Returns
  右端のX座標幅

void Mix::RectangleF::SetRight | ( | Float32 | right | ) |

矩形の右端のX座標を設定します

Parameters

  [in] | right | 右端のX座標

Float32 Mix::RectangleF::GetBottom | ( | void |  | ) | const

矩形の下端のY座標を取得します

Returns
  下端のY座標

void Mix::RectangleF::SetBottom | ( | Float32 | bottom | ) |

矩形の下端のY座標を設定します

Parameters

  [in] | bottom | 下端のY座標

static const Mix::RectangleF& Mix::RectangleF::Zero | ( | void |  | ) |

inlinestatic

初期値( 0.0, 0.0, 0.0, 0.0 )を取得します

Returns
  初期値を表す Mix::RectangleF クラスを返します

## Member Data Documentation

Float32 Mix::RectangleF::x

X座標

Float32 Mix::RectangleF::y

Y座標

Float32 Mix::RectangleF::width

幅

Float32 Mix::RectangleF::height

高さ

union { ... }

The documentation for this class was generated from the following file:

- Mix/RectangleF.h